package config

// Config holds Matrix and OpenAI credentials for the GPT bot.
type Config struct {
	Homeserver  string
	BotUserID   string
	AccessToken string
	OpenAIKey   string
}

// Load returns hardcoded credentials; replace with your own values.
func Load() *Config {
	return &Config{
		Homeserver:  "",
		BotUserID:   "", // replace with your bot's user ID
		AccessToken: "", // replace with bot access token
		OpenAIKey:   "", // replace with your OpenAI key
	}
}
